using System;
using Microsoft.SPOT;

using System.Text;

namespace miniCPF
{
    class InstrumentHandler
    {
        private static object IHLock = new Object();

        private static StringBuilder SI = new StringBuilder("Sampling Instruments");

        public static void sampleInstruments(int stationNum)
        {
                    //need to actuallly sample the instruments
                    lock (IHLock) { Program.MessageQueue.Enqueue(UTF8Encoding.UTF8.GetBytes(EngrLogger.getPrefix(SI).ToString())); }
        }


    }
}

